aboutsummaryrefslogtreecommitdiffstats
path: root/main/rgb
diff options
context:
space:
mode:
Diffstat (limited to 'main/rgb')
-rw-r--r--main/rgb/APKBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/main/rgb/APKBUILD b/main/rgb/APKBUILD
new file mode 100644
index 0000000000..73bbd8233b
--- /dev/null
+++ b/main/rgb/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=rgb
+pkgver=1.0.3
+pkgrel=0
+pkgdesc="X.org utility to display an rgb color-name database"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-doc"
+depends=
+makedepends="pkgconfig xproto"
+source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="44ea16cc3104de6401bc74035f642357 rgb-1.0.3.tar.bz2"